summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/spring/README4
-rw-r--r--games/spring/doinst.sh8
-rw-r--r--games/spring/slack-desc19
-rw-r--r--games/spring/spring.SlackBuild79
-rw-r--r--games/spring/spring.info10
5 files changed, 120 insertions, 0 deletions
diff --git a/games/spring/README b/games/spring/README
new file mode 100644
index 0000000000..7071aac368
--- /dev/null
+++ b/games/spring/README
@@ -0,0 +1,4 @@
+Spring is a project aiming to create a new and versatile RTS Engine.
+
+This requires p7zip, OpenAL, DevIL, and icu4c.
+You will also need jdk from /extra.
diff --git a/games/spring/doinst.sh b/games/spring/doinst.sh
new file mode 100644
index 0000000000..e4e6459838
--- /dev/null
+++ b/games/spring/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/games/spring/slack-desc b/games/spring/slack-desc
new file mode 100644
index 0000000000..0fd9d51bef
--- /dev/null
+++ b/games/spring/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+spring: Spring RTS (a powerful free RTS engine)
+spring:
+spring: Spring is a project aiming to create a new and versatile RTS Engine.
+spring:
+spring:
+spring:
+spring:
+spring:
+spring:
+spring: http://springrts.com/
+spring:
diff --git a/games/spring/spring.SlackBuild b/games/spring/spring.SlackBuild
new file mode 100644
index 0000000000..35fd0f3b81
--- /dev/null
+++ b/games/spring/spring.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for Spring
+
+# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=spring
+VERSION=0.82.6.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_${VERSION}
+tar xvf $CWD/${PRGNAM}_${VERSION}_src.tar.gz
+cd ${PRGNAM}_${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ .
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/spring/spring.info b/games/spring/spring.info
new file mode 100644
index 0000000000..75167e975d
--- /dev/null
+++ b/games/spring/spring.info
@@ -0,0 +1,10 @@
+PRGNAM="spring"
+VERSION="0.82.6.1"
+HOMEPAGE="http://springrts.com"
+DOWNLOAD="http://downloads.sourceforge.net/springrts/spring_0.82.6.1_src.tar.gz"
+MD5SUM="05d4f296ea58624d846ca988a73126b0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Juan Pablo Cordova E."
+EMAIL="jpcordovae@gmail.com"
+APPROVED="Erik Hanson"